﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace Appbar
{
    /// <summary>
    /// Interaction logic for Clock.xaml
    /// </summary>
    public partial class Clock : UserControl
    {
        public Clock()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            tim = new DispatcherTimer();
            tim.Interval = new TimeSpan(0, 0, 0, 0, 100);
            tim.Tick += new EventHandler(tim_Tick);
            tim.Start();
            RefreshClock();
        }

        DispatcherTimer tim;

        void tim_Tick(object sender, EventArgs e)
        {
            RefreshClock();
        }

        void RefreshClock()
        {
            DateTime dt = DateTime.Now;
            second.Angle = (double)dt.Second / 60 * 360 - 180;
            minute.Angle = (double)dt.Minute / 60 * 360 - 180 + (second.Angle + 180) / 60;
            hour.Angle = (double)dt.Hour / 12 * 360 - 180 + (minute.Angle + 180) / 12;
        }
    }
}
