﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Runtime.InteropServices;
using System.Windows.Interop;

namespace Appbar
{
    public class Notes : TextBox
    {
        public Notes()
        {
            base.AcceptsReturn = true;
            base.Background = Brushes.LightYellow;
            base.FontFamily = new FontFamily("Comic Sans MS");
            base.Text = Properties.Settings.Default.notes;
            base.TextWrapping = System.Windows.TextWrapping.Wrap;
            base.FontSize = 15;
        }

        protected override void OnTextChanged(TextChangedEventArgs e)
        {
            base.OnTextChanged(e);
            Properties.Settings.Default.notes = base.Text;
            Properties.Settings.Default.Save();
        }
    }
}
